# Interface AnnotationTypeElementDeclaration

All Superinterfaces:
  `Declaration, ExecutableDeclaration, MemberDeclaration, MethodDeclaration`

public interface AnnotationTypeElementDeclaration extends MethodDeclaration
Represents an element of an annotation type.

Since:
  1.5
Version:
  1.3 04/04/20
Author:
  Joe Darcy, Scott Seligman

## Method Summary

Modifier and Type
Method
Description
`AnnotationTypeDeclaration`
`getDeclaringType()`
Returns the type declaration within which this member or constructor is declared.
`AnnotationValue`
`getDefaultValue()`
Returns the default value of this element.

### Methods inherited from interface Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Methods inherited from interface ExecutableDeclaration

`getFormalTypeParameters, getParameters, getThrownTypes, isVarArgs`

### Methods inherited from interface MethodDeclaration

`getReturnType`

## Method Details

### getDefaultValue

AnnotationValue getDefaultValue()
Returns the default value of this element.

Returns:
  the default value of this element, or null if this element has no default.

### getDeclaringType

AnnotationTypeDeclaration getDeclaringType()
Returns the type declaration within which this member or constructor is declared. If this is the declaration of a top-level type (a non-nested class or interface), returns null.

Specified by:
  `getDeclaringType` in interface `MemberDeclaration`
Returns:
  the type declaration within which this member or constructor is declared, or null if there is none